Subject: Re: Is anyone using the C67x00 USB Host ?

From: Michal Simek <[email-masked]>
Date: Wed, 10 Dec 2008 17:34:47 +0100

Hi Peter,

>>>>>> "Michal" == Michal Simek <[email-masked]> writes:
> 
> Hi,
> 
>  >> Why? Have you swapped your A0 / A1?
> 
>  Michal> I found that ml40x designs have different connection that
>  Michal> ml505 usb design. This is no problem for me. But I think that
>  Michal> in David case is that problem.
> 
> OK. If this is something common, then maybe we should add support for
> it in the driver?

I think this is not necessary. Swapped A0/A1 is hw solution. And change which I
described is sw solution.

>  Michal> We used 2.6.20 kernel because we have this kernel well tested.
>  Michal> I found where the problem was.
> 
> Ahh, what was it?

Problem was in different status handling for older kernel and I extend some
timeout value before. I am reverting my debug messages. Maybe I did any other
change which do some work too.

Thanks,
Michal

> 
>  Michal> Thanks for your driver and help,
> 
> You're welcome.
>